Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.ssl
Class SSLInputStream

    java.lang.Object
      |
      +--java.io.InputStream
            |
            +--org.mozilla.jss.ssl.SSLInputStream

class SSLInputStream
extends java.io.InputStream

Field Summary
`private SSLSocket` | `sock`

Fields inherited from class java.io.InputStream
`SKIP_BUFFER_SIZE, skipBuffer`

Constructor Summary
`(package private)` | `SSLInputStream(SSLSocket sock)`

Method Summary
`int` | `available()`
`void` | `close()`
`int` | `read()`
`int` | `read(byte[] b)`
`int` | `read(byte[] b, int off, int len)`
`long` | `skip(long n)`

Methods inherited from class java.io.InputStream
`mark, markSupported, reset`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, toString, wait, wait, wait`

Field Detail

### sock

    private SSLSocket sock

Constructor Detail

### SSLInputStream

    SSLInputStream(SSLSocket sock)

Method Detail

### available

    public int available()
                  throws java.io.IOException

  Overrides:
    `available` in class `java.io.InputStream`

### close

    public void close()
               throws java.io.IOException

  Overrides:
    `close` in class `java.io.InputStream`

### read

    public int read()
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`

### read

    public int read(byte[] b)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`

### read

    public int read(byte[] b,
                    int off,
                    int len)
             throws java.io.IOException

  Overrides:
    `read` in class `java.io.InputStream`

### skip

    public long skip(long n)
              throws java.io.IOException

  Overrides:
    `skip` in class `java.io.InputStream`

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.1.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD